1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=uulib.c
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='	'
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525
526
527#
528# package revision
529#
530VERSION=0.5
531PATCH=20
532
533# Extract the first word of "gcc", so it can be a program name with args.
534set dummy gcc; ac_word=$2
535echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
536echo "configure:537: checking for $ac_word" >&5
537if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
538  echo $ac_n "(cached) $ac_c" 1>&6
539else
540  if test -n "$CC"; then
541  ac_cv_prog_CC="$CC" # Let the user override the test.
542else
543  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
544  ac_dummy="$PATH"
545  for ac_dir in $ac_dummy; do
546    test -z "$ac_dir" && ac_dir=.
547    if test -f $ac_dir/$ac_word; then
548      ac_cv_prog_CC="gcc"
549      break
550    fi
551  done
552  IFS="$ac_save_ifs"
553fi
554fi
555CC="$ac_cv_prog_CC"
556if test -n "$CC"; then
557  echo "$ac_t""$CC" 1>&6
558else
559  echo "$ac_t""no" 1>&6
560fi
561
562if test -z "$CC"; then
563  # Extract the first word of "cc", so it can be a program name with args.
564set dummy cc; ac_word=$2
565echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
566echo "configure:567: checking for $ac_word" >&5
567if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
568  echo $ac_n "(cached) $ac_c" 1>&6
569else
570  if test -n "$CC"; then
571  ac_cv_prog_CC="$CC" # Let the user override the test.
572else
573  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
574  ac_prog_rejected=no
575  ac_dummy="$PATH"
576  for ac_dir in $ac_dummy; do
577    test -z "$ac_dir" && ac_dir=.
578    if test -f $ac_dir/$ac_word; then
579      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
580        ac_prog_rejected=yes
581	continue
582      fi
583      ac_cv_prog_CC="cc"
584      break
585    fi
586  done
587  IFS="$ac_save_ifs"
588if test $ac_prog_rejected = yes; then
589  # We found a bogon in the path, so make sure we never use it.
590  set dummy $ac_cv_prog_CC
591  shift
592  if test $# -gt 0; then
593    # We chose a different compiler from the bogus one.
594    # However, it has the same basename, so the bogon will be chosen
595    # first if we set CC to just the basename; use the full file name.
596    shift
597    set dummy "$ac_dir/$ac_word" "$@"
598    shift
599    ac_cv_prog_CC="$@"
600  fi
601fi
602fi
603fi
604CC="$ac_cv_prog_CC"
605if test -n "$CC"; then
606  echo "$ac_t""$CC" 1>&6
607else
608  echo "$ac_t""no" 1>&6
609fi
610
611  if test -z "$CC"; then
612    case "`uname -s`" in
613    *win32* | *WIN32*)
614      # Extract the first word of "cl", so it can be a program name with args.
615set dummy cl; ac_word=$2
616echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
617echo "configure:618: checking for $ac_word" >&5
618if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
619  echo $ac_n "(cached) $ac_c" 1>&6
620else
621  if test -n "$CC"; then
622  ac_cv_prog_CC="$CC" # Let the user override the test.
623else
624  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
625  ac_dummy="$PATH"
626  for ac_dir in $ac_dummy; do
627    test -z "$ac_dir" && ac_dir=.
628    if test -f $ac_dir/$ac_word; then
629      ac_cv_prog_CC="cl"
630      break
631    fi
632  done
633  IFS="$ac_save_ifs"
634fi
635fi
636CC="$ac_cv_prog_CC"
637if test -n "$CC"; then
638  echo "$ac_t""$CC" 1>&6
639else
640  echo "$ac_t""no" 1>&6
641fi
642 ;;
643    esac
644  fi
645  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
646fi
647
648echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
649echo "configure:650: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
650
651ac_ext=c
652# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
653ac_cpp='$CPP $CPPFLAGS'
654ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
655ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
656cross_compiling=$ac_cv_prog_cc_cross
657
658cat > conftest.$ac_ext << EOF
659
660#line 661 "configure"
661#include "confdefs.h"
662
663main(){return(0);}
664EOF
665if { (eval echo configure:666: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
666  ac_cv_prog_cc_works=yes
667  # If we can't run a trivial program, we are probably using a cross compiler.
668  if (./conftest; exit) 2>/dev/null; then
669    ac_cv_prog_cc_cross=no
670  else
671    ac_cv_prog_cc_cross=yes
672  fi
673else
674  echo "configure: failed program was:" >&5
675  cat conftest.$ac_ext >&5
676  ac_cv_prog_cc_works=no
677fi
678rm -fr conftest*
679ac_ext=c
680# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
681ac_cpp='$CPP $CPPFLAGS'
682ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
683ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
684cross_compiling=$ac_cv_prog_cc_cross
685
686echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
687if test $ac_cv_prog_cc_works = no; then
688  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
689fi
690echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
691echo "configure:692: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
692echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
693cross_compiling=$ac_cv_prog_cc_cross
694
695echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
696echo "configure:697: checking whether we are using GNU C" >&5
697if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
698  echo $ac_n "(cached) $ac_c" 1>&6
699else
700  cat > conftest.c <<EOF
701#ifdef __GNUC__
702  yes;
703#endif
704EOF
705if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:706: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
706  ac_cv_prog_gcc=yes
707else
708  ac_cv_prog_gcc=no
709fi
710fi
711
712echo "$ac_t""$ac_cv_prog_gcc" 1>&6
713
714if test $ac_cv_prog_gcc = yes; then
715  GCC=yes
716else
717  GCC=
718fi
719
720ac_test_CFLAGS="${CFLAGS+set}"
721ac_save_CFLAGS="$CFLAGS"
722CFLAGS=
723echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
724echo "configure:725: checking whether ${CC-cc} accepts -g" >&5
725if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
726  echo $ac_n "(cached) $ac_c" 1>&6
727else
728  echo 'void f(){}' > conftest.c
729if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
730  ac_cv_prog_cc_g=yes
731else
732  ac_cv_prog_cc_g=no
733fi
734rm -f conftest*
735
736fi
737
738echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
739if test "$ac_test_CFLAGS" = set; then
740  CFLAGS="$ac_save_CFLAGS"
741elif test $ac_cv_prog_cc_g = yes; then
742  if test "$GCC" = yes; then
743    CFLAGS="-g -O2"
744  else
745    CFLAGS="-g"
746  fi
747else
748  if test "$GCC" = yes; then
749    CFLAGS="-O2"
750  else
751    CFLAGS=
752  fi
753fi
754
755echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
756echo "configure:757: checking how to run the C preprocessor" >&5
757# On Suns, sometimes $CPP names a directory.
758if test -n "$CPP" && test -d "$CPP"; then
759  CPP=
760fi
761if test -z "$CPP"; then
762if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
763  echo $ac_n "(cached) $ac_c" 1>&6
764else
765    # This must be in double quotes, not single quotes, because CPP may get
766  # substituted into the Makefile and "${CC-cc}" will confuse make.
767  CPP="${CC-cc} -E"
768  # On the NeXT, cc -E runs the code through the compiler's parser,
769  # not just through cpp.
770  cat > conftest.$ac_ext <<EOF
771#line 772 "configure"
772#include "confdefs.h"
773#include <assert.h>
774Syntax Error
775EOF
776ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
777{ (eval echo configure:778: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
778ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
779if test -z "$ac_err"; then
780  :
781else
782  echo "$ac_err" >&5
783  echo "configure: failed program was:" >&5
784  cat conftest.$ac_ext >&5
785  rm -rf conftest*
786  CPP="${CC-cc} -E -traditional-cpp"
787  cat > conftest.$ac_ext <<EOF
788#line 789 "configure"
789#include "confdefs.h"
790#include <assert.h>
791Syntax Error
792EOF
793ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
794{ (eval echo configure:795: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
795ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
796if test -z "$ac_err"; then
797  :
798else
799  echo "$ac_err" >&5
800  echo "configure: failed program was:" >&5
801  cat conftest.$ac_ext >&5
802  rm -rf conftest*
803  CPP="${CC-cc} -nologo -E"
804  cat > conftest.$ac_ext <<EOF
805#line 806 "configure"
806#include "confdefs.h"
807#include <assert.h>
808Syntax Error
809EOF
810ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
811{ (eval echo configure:812: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
812ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
813if test -z "$ac_err"; then
814  :
815else
816  echo "$ac_err" >&5
817  echo "configure: failed program was:" >&5
818  cat conftest.$ac_ext >&5
819  rm -rf conftest*
820  CPP=/lib/cpp
821fi
822rm -f conftest*
823fi
824rm -f conftest*
825fi
826rm -f conftest*
827  ac_cv_prog_CPP="$CPP"
828fi
829  CPP="$ac_cv_prog_CPP"
830else
831  ac_cv_prog_CPP="$CPP"
832fi
833echo "$ac_t""$CPP" 1>&6
834
835
836echo $ac_n "checking if the compiler supports function prototypes""... $ac_c" 1>&6
837echo "configure:838: checking if the compiler supports function prototypes" >&5
838cat > conftest.$ac_ext <<EOF
839#line 840 "configure"
840#include "confdefs.h"
841
842int main() {
843extern void exit(int status);
844; return 0; }
845EOF
846if { (eval echo configure:847: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
847  rm -rf conftest*
848  wi_cv_prototypes=yes
849cat >> confdefs.h <<\EOF
850#define PROTOTYPES 1
851EOF
852
853else
854  echo "configure: failed program was:" >&5
855  cat conftest.$ac_ext >&5
856  rm -rf conftest*
857  wi_cv_prototypes=no
858fi
859rm -f conftest*
860echo "$ac_t""$wi_cv_prototypes" 1>&6
861
862echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
863echo "configure:864: checking whether ${MAKE-make} sets \${MAKE}" >&5
864set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y%./+-%__p_%'`
865if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
866  echo $ac_n "(cached) $ac_c" 1>&6
867else
868  cat > conftestmake <<\EOF
869all:
870	@echo 'ac_maketemp="${MAKE}"'
871EOF
872# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
873eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
874if test -n "$ac_maketemp"; then
875  eval ac_cv_prog_make_${ac_make}_set=yes
876else
877  eval ac_cv_prog_make_${ac_make}_set=no
878fi
879rm -f conftestmake
880fi
881if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
882  echo "$ac_t""yes" 1>&6
883  SET_MAKE=
884else
885  echo "$ac_t""no" 1>&6
886  SET_MAKE="MAKE=${MAKE-make}"
887fi
888
889# Extract the first word of "ranlib", so it can be a program name with args.
890set dummy ranlib; ac_word=$2
891echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
892echo "configure:893: checking for $ac_word" >&5
893if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
894  echo $ac_n "(cached) $ac_c" 1>&6
895else
896  if test -n "$RANLIB"; then
897  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
898else
899  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
900  ac_dummy="$PATH"
901  for ac_dir in $ac_dummy; do
902    test -z "$ac_dir" && ac_dir=.
903    if test -f $ac_dir/$ac_word; then
904      ac_cv_prog_RANLIB="ranlib"
905      break
906    fi
907  done
908  IFS="$ac_save_ifs"
909  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
910fi
911fi
912RANLIB="$ac_cv_prog_RANLIB"
913if test -n "$RANLIB"; then
914  echo "$ac_t""$RANLIB" 1>&6
915else
916  echo "$ac_t""no" 1>&6
917fi
918
919
920if test "$wi_cv_prototypes" = no ; then
921	echo "configure: warning: Your compiler does not support function prototyping and" 1>&2
922	echo "configure: warning: is not able to properly compile this package. What a pity." 1>&2
923        echo "configure: warning: Get gcc, or any compiler that supports function prototypes." 1>&2
924	exit 1
925fi
926
927#
928# Checks for header files and library functions
929#
930
931echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
932echo "configure:933: checking for ANSI C header files" >&5
933if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
934  echo $ac_n "(cached) $ac_c" 1>&6
935else
936  cat > conftest.$ac_ext <<EOF
937#line 938 "configure"
938#include "confdefs.h"
939#include <stdlib.h>
940#include <stdarg.h>
941#include <string.h>
942#include <float.h>
943EOF
944ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
945{ (eval echo configure:946: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
946ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
947if test -z "$ac_err"; then
948  rm -rf conftest*
949  ac_cv_header_stdc=yes
950else
951  echo "$ac_err" >&5
952  echo "configure: failed program was:" >&5
953  cat conftest.$ac_ext >&5
954  rm -rf conftest*
955  ac_cv_header_stdc=no
956fi
957rm -f conftest*
958
959if test $ac_cv_header_stdc = yes; then
960  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
961cat > conftest.$ac_ext <<EOF
962#line 963 "configure"
963#include "confdefs.h"
964#include <string.h>
965EOF
966if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
967  egrep "memchr" >/dev/null 2>&1; then
968  :
969else
970  rm -rf conftest*
971  ac_cv_header_stdc=no
972fi
973rm -f conftest*
974
975fi
976
977if test $ac_cv_header_stdc = yes; then
978  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
979cat > conftest.$ac_ext <<EOF
980#line 981 "configure"
981#include "confdefs.h"
982#include <stdlib.h>
983EOF
984if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
985  egrep "free" >/dev/null 2>&1; then
986  :
987else
988  rm -rf conftest*
989  ac_cv_header_stdc=no
990fi
991rm -f conftest*
992
993fi
994
995if test $ac_cv_header_stdc = yes; then
996  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
997if test "$cross_compiling" = yes; then
998  :
999else
1000  cat > conftest.$ac_ext <<EOF
1001#line 1002 "configure"
1002#include "confdefs.h"
1003#include <ctype.h>
1004#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
1005#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
1006#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
1007int main () { int i; for (i = 0; i < 256; i++)
1008if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
1009exit (0); }
1010
1011EOF
1012if { (eval echo configure:1013: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
1013then
1014  :
1015else
1016  echo "configure: failed program was:" >&5
1017  cat conftest.$ac_ext >&5
1018  rm -fr conftest*
1019  ac_cv_header_stdc=no
1020fi
1021rm -fr conftest*
1022fi
1023
1024fi
1025fi
1026
1027echo "$ac_t""$ac_cv_header_stdc" 1>&6
1028if test $ac_cv_header_stdc = yes; then
1029  cat >> confdefs.h <<\EOF
1030#define STDC_HEADERS 1
1031EOF
1032
1033fi
1034
1035echo $ac_n "checking for size_t""... $ac_c" 1>&6
1036echo "configure:1037: checking for size_t" >&5
1037if eval "test \"`echo '$''{'ac_cv_type_size_t'+set}'`\" = set"; then
1038  echo $ac_n "(cached) $ac_c" 1>&6
1039else
1040  cat > conftest.$ac_ext <<EOF
1041#line 1042 "configure"
1042#include "confdefs.h"
1043#include <sys/types.h>
1044#if STDC_HEADERS
1045#include <stdlib.h>
1046#include <stddef.h>
1047#endif
1048EOF
1049if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
1050  egrep "(^|[^a-zA-Z_0-9])size_t[^a-zA-Z_0-9]" >/dev/null 2>&1; then
1051  rm -rf conftest*
1052  ac_cv_type_size_t=yes
1053else
1054  rm -rf conftest*
1055  ac_cv_type_size_t=no
1056fi
1057rm -f conftest*
1058
1059fi
1060echo "$ac_t""$ac_cv_type_size_t" 1>&6
1061if test $ac_cv_type_size_t = no; then
1062  cat >> confdefs.h <<\EOF
1063#define size_t unsigned
1064EOF
1065
1066fi
1067
1068echo $ac_n "checking whether time.h and sys/time.h may both be included""... $ac_c" 1>&6
1069echo "configure:1070: checking whether time.h and sys/time.h may both be included" >&5
1070if eval "test \"`echo '$''{'ac_cv_header_time'+set}'`\" = set"; then
1071  echo $ac_n "(cached) $ac_c" 1>&6
1072else
1073  cat > conftest.$ac_ext <<EOF
1074#line 1075 "configure"
1075#include "confdefs.h"
1076#include <sys/types.h>
1077#include <sys/time.h>
1078#include <time.h>
1079int main() {
1080struct tm *tp;
1081; return 0; }
1082EOF
1083if { (eval echo configure:1084: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1084  rm -rf conftest*
1085  ac_cv_header_time=yes
1086else
1087  echo "configure: failed program was:" >&5
1088  cat conftest.$ac_ext >&5
1089  rm -rf conftest*
1090  ac_cv_header_time=no
1091fi
1092rm -f conftest*
1093fi
1094
1095echo "$ac_t""$ac_cv_header_time" 1>&6
1096if test $ac_cv_header_time = yes; then
1097  cat >> confdefs.h <<\EOF
1098#define TIME_WITH_SYS_TIME 1
1099EOF
1100
1101fi
1102
1103for ac_hdr in fcntl.h unistd.h memory.h malloc.h errno.h
1104do
1105ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1106echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1107echo "configure:1108: checking for $ac_hdr" >&5
1108if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1109  echo $ac_n "(cached) $ac_c" 1>&6
1110else
1111  cat > conftest.$ac_ext <<EOF
1112#line 1113 "configure"
1113#include "confdefs.h"
1114#include <$ac_hdr>
1115EOF
1116ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1117{ (eval echo configure:1118: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1118ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1119if test -z "$ac_err"; then
1120  rm -rf conftest*
1121  eval "ac_cv_header_$ac_safe=yes"
1122else
1123  echo "$ac_err" >&5
1124  echo "configure: failed program was:" >&5
1125  cat conftest.$ac_ext >&5
1126  rm -rf conftest*
1127  eval "ac_cv_header_$ac_safe=no"
1128fi
1129rm -f conftest*
1130fi
1131if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1132  echo "$ac_t""yes" 1>&6
1133    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1134  cat >> confdefs.h <<EOF
1135#define $ac_tr_hdr 1
1136EOF
1137
1138else
1139  echo "$ac_t""no" 1>&6
1140fi
1141done
1142
1143for ac_hdr in io.h sys/time.h
1144do
1145ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1146echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1147echo "configure:1148: checking for $ac_hdr" >&5
1148if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1149  echo $ac_n "(cached) $ac_c" 1>&6
1150else
1151  cat > conftest.$ac_ext <<EOF
1152#line 1153 "configure"
1153#include "confdefs.h"
1154#include <$ac_hdr>
1155EOF
1156ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1157{ (eval echo configure:1158: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1158ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1159if test -z "$ac_err"; then
1160  rm -rf conftest*
1161  eval "ac_cv_header_$ac_safe=yes"
1162else
1163  echo "$ac_err" >&5
1164  echo "configure: failed program was:" >&5
1165  cat conftest.$ac_ext >&5
1166  rm -rf conftest*
1167  eval "ac_cv_header_$ac_safe=no"
1168fi
1169rm -f conftest*
1170fi
1171if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1172  echo "$ac_t""yes" 1>&6
1173    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1174  cat >> confdefs.h <<EOF
1175#define $ac_tr_hdr 1
1176EOF
1177
1178else
1179  echo "$ac_t""no" 1>&6
1180fi
1181done
1182
1183for ac_func in gettimeofday
1184do
1185echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1186echo "configure:1187: checking for $ac_func" >&5
1187if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1188  echo $ac_n "(cached) $ac_c" 1>&6
1189else
1190  cat > conftest.$ac_ext <<EOF
1191#line 1192 "configure"
1192#include "confdefs.h"
1193/* System header to define __stub macros and hopefully few prototypes,
1194    which can conflict with char $ac_func(); below.  */
1195#include <assert.h>
1196/* Override any gcc2 internal prototype to avoid an error.  */
1197/* We use char because int might match the return type of a gcc2
1198    builtin and then its argument prototype would still apply.  */
1199char $ac_func();
1200
1201int main() {
1202
1203/* The GNU C library defines this for functions which it implements
1204    to always fail with ENOSYS.  Some functions are actually named
1205    something starting with __ and the normal name is an alias.  */
1206#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1207choke me
1208#else
1209$ac_func();
1210#endif
1211
1212; return 0; }
1213EOF
1214if { (eval echo configure:1215: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1215  rm -rf conftest*
1216  eval "ac_cv_func_$ac_func=yes"
1217else
1218  echo "configure: failed program was:" >&5
1219  cat conftest.$ac_ext >&5
1220  rm -rf conftest*
1221  eval "ac_cv_func_$ac_func=no"
1222fi
1223rm -f conftest*
1224fi
1225
1226if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1227  echo "$ac_t""yes" 1>&6
1228    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1229  cat >> confdefs.h <<EOF
1230#define $ac_tr_func 1
1231EOF
1232
1233else
1234  echo "$ac_t""no" 1>&6
1235fi
1236done
1237
1238
1239echo $ac_n "checking for tempnam""... $ac_c" 1>&6
1240echo "configure:1241: checking for tempnam" >&5
1241if eval "test \"`echo '$''{'ac_cv_func_tempnam'+set}'`\" = set"; then
1242  echo $ac_n "(cached) $ac_c" 1>&6
1243else
1244  cat > conftest.$ac_ext <<EOF
1245#line 1246 "configure"
1246#include "confdefs.h"
1247/* System header to define __stub macros and hopefully few prototypes,
1248    which can conflict with char tempnam(); below.  */
1249#include <assert.h>
1250/* Override any gcc2 internal prototype to avoid an error.  */
1251/* We use char because int might match the return type of a gcc2
1252    builtin and then its argument prototype would still apply.  */
1253char tempnam();
1254
1255int main() {
1256
1257/* The GNU C library defines this for functions which it implements
1258    to always fail with ENOSYS.  Some functions are actually named
1259    something starting with __ and the normal name is an alias.  */
1260#if defined (__stub_tempnam) || defined (__stub___tempnam)
1261choke me
1262#else
1263tempnam();
1264#endif
1265
1266; return 0; }
1267EOF
1268if { (eval echo configure:1269: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1269  rm -rf conftest*
1270  eval "ac_cv_func_tempnam=yes"
1271else
1272  echo "configure: failed program was:" >&5
1273  cat conftest.$ac_ext >&5
1274  rm -rf conftest*
1275  eval "ac_cv_func_tempnam=no"
1276fi
1277rm -f conftest*
1278fi
1279
1280if eval "test \"`echo '$ac_cv_func_'tempnam`\" = yes"; then
1281  echo "$ac_t""yes" 1>&6
1282  :
1283else
1284  echo "$ac_t""no" 1>&6
1285cat >> confdefs.h <<\EOF
1286#define tempnam _FP_tempnam
1287EOF
1288
1289fi
1290
1291
1292#
1293# strerror might be internally defined. this would cause a
1294# CHECK_FUNCS(strerror) to fail because it'd be called with
1295# zero arguments. So use our own code.
1296#
1297echo $ac_n "checking for strerror""... $ac_c" 1>&6
1298echo "configure:1299: checking for strerror" >&5
1299cat > conftest.$ac_ext <<EOF
1300#line 1301 "configure"
1301#include "confdefs.h"
1302
1303char *blubb() { return (char *) strerror (42); }
1304
1305int main() {
1306
1307(void) blubb();
1308
1309; return 0; }
1310EOF
1311if { (eval echo configure:1312: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1312  rm -rf conftest*
1313  have_strerror=yes
1314else
1315  echo "configure: failed program was:" >&5
1316  cat conftest.$ac_ext >&5
1317  rm -rf conftest*
1318  cat >> confdefs.h <<\EOF
1319#define strerror _FP_strerror
1320EOF
1321
1322have_strerror=no
1323fi
1324rm -f conftest*
1325echo "$ac_t""$have_strerror" 1>&6
1326
1327echo $ac_n "checking for stdin""... $ac_c" 1>&6
1328echo "configure:1329: checking for stdin" >&5
1329cat > conftest.$ac_ext <<EOF
1330#line 1331 "configure"
1331#include "confdefs.h"
1332
1333#include <stdio.h>
1334char *blubb() { FILE *in, *out; in=stdin; out=stdout; return (char*)0; }
1335
1336int main() {
1337
1338(void) blubb();
1339
1340; return 0; }
1341EOF
1342if { (eval echo configure:1343: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1343  rm -rf conftest*
1344  have_stdio=yes
1345else
1346  echo "configure: failed program was:" >&5
1347  cat conftest.$ac_ext >&5
1348  rm -rf conftest*
1349  cat >> confdefs.h <<\EOF
1350#define HAVE_STDIO 1
1351EOF
1352
1353have_stdio=no
1354fi
1355rm -f conftest*
1356echo "$ac_t""$have_stdio" 1>&6
1357
1358if test "$ac_cv_header_stdc" = "no" ; then
1359	for ac_hdr in stdarg.h varargs.h
1360do
1361ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1362echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1363echo "configure:1364: checking for $ac_hdr" >&5
1364if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1365  echo $ac_n "(cached) $ac_c" 1>&6
1366else
1367  cat > conftest.$ac_ext <<EOF
1368#line 1369 "configure"
1369#include "confdefs.h"
1370#include <$ac_hdr>
1371EOF
1372ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1373{ (eval echo configure:1374: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1374ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1375if test -z "$ac_err"; then
1376  rm -rf conftest*
1377  eval "ac_cv_header_$ac_safe=yes"
1378else
1379  echo "$ac_err" >&5
1380  echo "configure: failed program was:" >&5
1381  cat conftest.$ac_ext >&5
1382  rm -rf conftest*
1383  eval "ac_cv_header_$ac_safe=no"
1384fi
1385rm -f conftest*
1386fi
1387if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1388  echo "$ac_t""yes" 1>&6
1389    ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1390  cat >> confdefs.h <<EOF
1391#define $ac_tr_hdr 1
1392EOF
1393
1394else
1395  echo "$ac_t""no" 1>&6
1396fi
1397done
1398
1399	if test "$ac_cv_header_stdarg_h" = "no" ; then
1400	if test "$ac_cv_header_varargs_h" = "no" ; then
1401		{ echo "configure: error: neither stdarg.h nor varargs.h present" 1>&2; exit 1; }
1402	fi
1403	fi
1404fi
1405
1406#
1407# Check whether this is a DOS-Based system. Another bogus test.
1408# Don't even bother to print a message. This code is needed so
1409# that autoheader includes the #undef into the final config.h
1410# and we can change the definition by hand on a really DOS
1411# system (where ./configure doesn't work anyway ...)
1412#
1413
1414if false ; then
1415	cat >> confdefs.h <<\EOF
1416#define SYSTEM_DOS 1
1417EOF
1418
1419	cat >> confdefs.h <<\EOF
1420#define SYSTEM_QUICKWIN 1
1421EOF
1422
1423	cat >> confdefs.h <<\EOF
1424#define SYSTEM_WINDLL 1
1425EOF
1426
1427	cat >> confdefs.h <<\EOF
1428#define SYSTEM_OS2 1
1429EOF
1430
1431fi
1432
1433#
1434# On some systems (so far, OS2 and WINDOWS), functions that are exported
1435# from a DLL must be declared specifically.
1436#
1437
1438cat >> confdefs.h <<EOF
1439#define UUEXPORT 
1440EOF
1441
1442cat >> confdefs.h <<EOF
1443#define TOOLEXPORT 
1444EOF
1445
1446
1447#
1448# set version number
1449#
1450echo $ac_n "checking version number""... $ac_c" 1>&6
1451echo "configure:1452: checking version number" >&5
1452version_number="$VERSION"pl"$PATCH"
1453echo "$ac_t""$version_number" 1>&6
1454
1455
1456
1457#
1458# done
1459#
1460
1461trap '' 1 2 15
1462cat > confcache <<\EOF
1463# This file is a shell script that caches the results of configure
1464# tests run on this system so they can be shared between configure
1465# scripts and configure runs.  It is not useful on other systems.
1466# If it contains results you don't want to keep, you may remove or edit it.
1467#
1468# By default, configure uses ./config.cache as the cache file,
1469# creating it if it does not exist already.  You can give configure
1470# the --cache-file=FILE option to use a different cache file; that is
1471# what configure does when it calls configure scripts in
1472# subdirectories, so they share the cache.
1473# Giving --cache-file=/dev/null disables caching, for debugging configure.
1474# config.status only pays attention to the cache file if you give it the
1475# --recheck option to rerun configure.
1476#
1477EOF
1478# The following way of writing the cache mishandles newlines in values,
1479# but we know of no workaround that is simple, portable, and efficient.
1480# So, don't put newlines in cache variables' values.
1481# Ultrix sh set writes to stderr and can't be redirected directly,
1482# and sets the high bit in the cache file unless we assign to the vars.
1483(set) 2>&1 |
1484  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1485  *ac_space=\ *)
1486    # `set' does not quote correctly, so add quotes (double-quote substitution
1487    # turns \\\\ into \\, and sed turns \\ into \).
1488    sed -n \
1489      -e "s/'/'\\\\''/g" \
1490      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1491    ;;
1492  *)
1493    # `set' quotes correctly as required by POSIX, so do not add quotes.
1494    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1495    ;;
1496  esac >> confcache
1497if cmp -s $cache_file confcache; then
1498  :
1499else
1500  if test -w $cache_file; then
1501    echo "updating cache $cache_file"
1502    cat confcache > $cache_file
1503  else
1504    echo "not updating unwritable cache $cache_file"
1505  fi
1506fi
1507rm -f confcache
1508
1509trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1510
1511test "x$prefix" = xNONE && prefix=$ac_default_prefix
1512# Let make expand exec_prefix.
1513test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1514
1515# Any assignment to VPATH causes Sun make to only execute
1516# the first set of double-colon rules, so remove it if not needed.
1517# If there is a colon in the path, we need to keep it.
1518if test "x$srcdir" = x.; then
1519  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1520fi
1521
1522trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1523
1524DEFS=-DHAVE_CONFIG_H
1525
1526# Without the "./", some shells look in PATH for config.status.
1527: ${CONFIG_STATUS=./config.status}
1528
1529echo creating $CONFIG_STATUS
1530rm -f $CONFIG_STATUS
1531cat > $CONFIG_STATUS <<EOF
1532#! /bin/sh
1533# Generated automatically by configure.
1534# Run this file to recreate the current configuration.
1535# This directory was configured as follows,
1536# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1537#
1538# $0 $ac_configure_args
1539#
1540# Compiler output produced by configure, useful for debugging
1541# configure, is in ./config.log if it exists.
1542
1543ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1544for ac_option
1545do
1546  case "\$ac_option" in
1547  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1548    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1549    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1550  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1551    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1552    exit 0 ;;
1553  -help | --help | --hel | --he | --h)
1554    echo "\$ac_cs_usage"; exit 0 ;;
1555  *) echo "\$ac_cs_usage"; exit 1 ;;
1556  esac
1557done
1558
1559ac_given_srcdir=$srcdir
1560
1561trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1562EOF
1563cat >> $CONFIG_STATUS <<EOF
1564
1565# Protect against being on the right side of a sed subst in config.status.
1566sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1567 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1568$ac_vpsub
1569$extrasub
1570s%@SHELL@%$SHELL%g
1571s%@CFLAGS@%$CFLAGS%g
1572s%@CPPFLAGS@%$CPPFLAGS%g
1573s%@CXXFLAGS@%$CXXFLAGS%g
1574s%@FFLAGS@%$FFLAGS%g
1575s%@DEFS@%$DEFS%g
1576s%@LDFLAGS@%$LDFLAGS%g
1577s%@LIBS@%$LIBS%g
1578s%@exec_prefix@%$exec_prefix%g
1579s%@prefix@%$prefix%g
1580s%@program_transform_name@%$program_transform_name%g
1581s%@bindir@%$bindir%g
1582s%@sbindir@%$sbindir%g
1583s%@libexecdir@%$libexecdir%g
1584s%@datadir@%$datadir%g
1585s%@sysconfdir@%$sysconfdir%g
1586s%@sharedstatedir@%$sharedstatedir%g
1587s%@localstatedir@%$localstatedir%g
1588s%@libdir@%$libdir%g
1589s%@includedir@%$includedir%g
1590s%@oldincludedir@%$oldincludedir%g
1591s%@infodir@%$infodir%g
1592s%@mandir@%$mandir%g
1593s%@CC@%$CC%g
1594s%@CPP@%$CPP%g
1595s%@SET_MAKE@%$SET_MAKE%g
1596s%@RANLIB@%$RANLIB%g
1597s%@VERSION@%$VERSION%g
1598s%@PATCH@%$PATCH%g
1599
1600CEOF
1601EOF
1602
1603cat >> $CONFIG_STATUS <<\EOF
1604
1605# Split the substitutions into bite-sized pieces for seds with
1606# small command number limits, like on Digital OSF/1 and HP-UX.
1607ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1608ac_file=1 # Number of current file.
1609ac_beg=1 # First line for current file.
1610ac_end=$ac_max_sed_cmds # Line after last line for current file.
1611ac_more_lines=:
1612ac_sed_cmds=""
1613while $ac_more_lines; do
1614  if test $ac_beg -gt 1; then
1615    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1616  else
1617    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1618  fi
1619  if test ! -s conftest.s$ac_file; then
1620    ac_more_lines=false
1621    rm -f conftest.s$ac_file
1622  else
1623    if test -z "$ac_sed_cmds"; then
1624      ac_sed_cmds="sed -f conftest.s$ac_file"
1625    else
1626      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1627    fi
1628    ac_file=`expr $ac_file + 1`
1629    ac_beg=$ac_end
1630    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1631  fi
1632done
1633if test -z "$ac_sed_cmds"; then
1634  ac_sed_cmds=cat
1635fi
1636EOF
1637
1638cat >> $CONFIG_STATUS <<EOF
1639
1640CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1641EOF
1642cat >> $CONFIG_STATUS <<\EOF
1643for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1644  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1645  case "$ac_file" in
1646  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1647       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1648  *) ac_file_in="${ac_file}.in" ;;
1649  esac
1650
1651  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1652
1653  # Remove last slash and all that follows it.  Not all systems have dirname.
1654  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1655  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1656    # The file is in a subdirectory.
1657    test ! -d "$ac_dir" && mkdir "$ac_dir"
1658    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1659    # A "../" for each directory in $ac_dir_suffix.
1660    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1661  else
1662    ac_dir_suffix= ac_dots=
1663  fi
1664
1665  case "$ac_given_srcdir" in
1666  .)  srcdir=.
1667      if test -z "$ac_dots"; then top_srcdir=.
1668      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1669  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1670  *) # Relative path.
1671    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1672    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1673  esac
1674
1675
1676  echo creating "$ac_file"
1677  rm -f "$ac_file"
1678  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1679  case "$ac_file" in
1680  *Makefile*) ac_comsub="1i\\
1681# $configure_input" ;;
1682  *) ac_comsub= ;;
1683  esac
1684
1685  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1686  sed -e "$ac_comsub
1687s%@configure_input@%$configure_input%g
1688s%@srcdir@%$srcdir%g
1689s%@top_srcdir@%$top_srcdir%g
1690" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1691fi; done
1692rm -f conftest.s*
1693
1694# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1695# NAME is the cpp macro being defined and VALUE is the value it is being given.
1696#
1697# ac_d sets the value in "#define NAME VALUE" lines.
1698ac_dA='s%^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
1699ac_dB='\([ 	][ 	]*\)[^ 	]*%\1#\2'
1700ac_dC='\3'
1701ac_dD='%g'
1702# ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1703ac_uA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1704ac_uB='\([ 	]\)%\1#\2define\3'
1705ac_uC=' '
1706ac_uD='\4%g'
1707# ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1708ac_eA='s%^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
1709ac_eB='$%\1#\2define\3'
1710ac_eC=' '
1711ac_eD='%g'
1712
1713if test "${CONFIG_HEADERS+set}" != set; then
1714EOF
1715cat >> $CONFIG_STATUS <<EOF
1716  CONFIG_HEADERS="config.h"
1717EOF
1718cat >> $CONFIG_STATUS <<\EOF
1719fi
1720for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1721  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1722  case "$ac_file" in
1723  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1724       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1725  *) ac_file_in="${ac_file}.in" ;;
1726  esac
1727
1728  echo creating $ac_file
1729
1730  rm -f conftest.frag conftest.in conftest.out
1731  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1732  cat $ac_file_inputs > conftest.in
1733
1734EOF
1735
1736# Transform confdefs.h into a sed script conftest.vals that substitutes
1737# the proper values into config.h.in to produce config.h.  And first:
1738# Protect against being on the right side of a sed subst in config.status.
1739# Protect against being in an unquoted here document in config.status.
1740rm -f conftest.vals
1741cat > conftest.hdr <<\EOF
1742s/[\\&%]/\\&/g
1743s%[\\$`]%\\&%g
1744s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1745s%ac_d%ac_u%gp
1746s%ac_u%ac_e%gp
1747EOF
1748sed -n -f conftest.hdr confdefs.h > conftest.vals
1749rm -f conftest.hdr
1750
1751# This sed command replaces #undef with comments.  This is necessary, for
1752# example, in the case of _POSIX_SOURCE, which is predefined and required
1753# on some systems where configure will not decide to define it.
1754cat >> conftest.vals <<\EOF
1755s%^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1756EOF
1757
1758# Break up conftest.vals because some shells have a limit on
1759# the size of here documents, and old seds have small limits too.
1760
1761rm -f conftest.tail
1762while :
1763do
1764  ac_lines=`grep -c . conftest.vals`
1765  # grep -c gives empty output for an empty file on some AIX systems.
1766  if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1767  # Write a limited-size here document to conftest.frag.
1768  echo '  cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1769  sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1770  echo 'CEOF
1771  sed -f conftest.frag conftest.in > conftest.out
1772  rm -f conftest.in
1773  mv conftest.out conftest.in
1774' >> $CONFIG_STATUS
1775  sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1776  rm -f conftest.vals
1777  mv conftest.tail conftest.vals
1778done
1779rm -f conftest.vals
1780
1781cat >> $CONFIG_STATUS <<\EOF
1782  rm -f conftest.frag conftest.h
1783  echo "/* $ac_file.  Generated automatically by configure.  */" > conftest.h
1784  cat conftest.in >> conftest.h
1785  rm -f conftest.in
1786  if cmp -s $ac_file conftest.h 2>/dev/null; then
1787    echo "$ac_file is unchanged"
1788    rm -f conftest.h
1789  else
1790    # Remove last slash and all that follows it.  Not all systems have dirname.
1791      ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1792      if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1793      # The file is in a subdirectory.
1794      test ! -d "$ac_dir" && mkdir "$ac_dir"
1795    fi
1796    rm -f $ac_file
1797    mv conftest.h $ac_file
1798  fi
1799fi; done
1800
1801EOF
1802cat >> $CONFIG_STATUS <<EOF
1803
1804EOF
1805cat >> $CONFIG_STATUS <<\EOF
1806
1807exit 0
1808EOF
1809chmod +x $CONFIG_STATUS
1810rm -fr confdefs* $ac_clean_files
1811test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1812
1813